Projects / Bastille Linux / Unix

Bastille Linux / Unix

Bastille Unix (formerly Bastille Linux) aims to be the most comprehensive, flexible, and educational Security Hardening Program for Red Hat (Fedora Core, Enterprise Linux, and original Red Hat), SuSE, Gentoo, Mandrake, and Debian Linux, as well as HP-UX and Mac OS X. Virtually every task it performs is optional, providing immense flexibility. It educates the installing admin regarding the topic at hand before asking any question. The interactive nature allows the program to be more thorough when securing, while the educational component produces an admin who is less likely to compromise the increased security.

Tags
Licenses
Operating Systems

Recent releases

  •  26 Sep 2008 12:53

    Release Notes: This release adds Fedora Core 9 support.

    •  04 Aug 2005 08:16

      Release Notes: This release added support for Fedora Core 4 and Red Hat Enterprise Linux 4. mDNSResponder, Bluetooth, ISDN, and HPOJ questions were added.

      •  08 Jul 2005 18:51

        Release Notes: This release corrects error messages in SuSE 9.3, such that Bastille no longer tries to add logging to syslog. Support for CentOS 3.x has been added.

        •  08 Jul 2005 09:24

          Release Notes: Support for CentOS 4.0 was added. SuSE 9.3 is also supported, though unnecessary error messages will be displayed about syslog.conf, which isn't present on SuSE 9.3 systems, since they use syslog-ng.

          •  21 Apr 2005 10:29

            Release Notes: This release fixes a bug in the use of the PAM password quality control module.

            Recent comments

            24 Mar 2005 07:47 shockzor

            Slackware
            I would like to see Slackware Linux supported...

            15 Nov 2004 00:58 armitage

            Bastille's stable and still moving!
            We're still developing Bastille -- it's got a lot of support right now and some very interested and dedicated programmers. Watch Freshmeat for exciting results in the next 6 months.

            20 Mar 2002 05:40 lchan8

            Re: 1.2.0 is released!

            >
            >
            > Installed it into stock rh7.2 and what
            > i when i ran it in interactive mode it
            > said, my distro aint supported and
            > removing the rpm resulted this:
            >
            > [root@bender linux]# rpm -e Bastille
            > error: execution of %preun scriptlet
            > from Bastille-1.2.0-1.1mdk failed, exit
            > status 1
            > [root@bender linux]#
            >
            >
            >


            I can remove it successfully with this command: "rpm -e --noscripts Bastille".
            However, after I've installed (in my RH7.2) the latest Bastille-1.3.0-1.0.i386.rpm from Bastille site, I got a lot of error messages when I run BastilleBackEnd... Anyone has idea?

            18 Feb 2002 07:14 rasjani

            Re: 1.2.0 is released!

            > Sorry for not updating this sooner, but
            > 1.2.0 is out!


            Installed it into stock rh7.2 and what i when i ran it in interactive mode it said, my distro aint supported and removing the rpm resulted this:

            [root@bender linux]# rpm -e Bastille
            error: execution of %preun scriptlet from Bastille-1.2.0-1.1mdk failed, exit status 1
            [root@bender linux]#


            28 Jun 2001 18:12 armitage

            1.2.0 is released!
            Sorry for not updating this sooner, but 1.2.0 is out!

            Have fun! - JJB

            Screenshot

            Project Spotlight

            OpenStack4j

            A Fluent OpenStack client API for Java.

            Screenshot

            Project Spotlight

            TurnKey TWiki Appliance

            A TWiki appliance that is easy to use and lightweight.